HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Account Calculation with {accountId}

To run a new calculation, you will POST a payload containing the calculation criteria and inputs, and a CalculatedCost object will be returned. Note that these parameters are part of the request body, not the query string.

Path Params
string
required

This is the Arcadia UUID of the Account object.

Body Params
int64
required

Unique Arcadia ID for the master tariff of this tariff. (Optional, Default is the most likely tariff for the account address)

date
required

Starting date and time for this calculation. (Required)

date
required

End date and time for this calculation. (Required)

string
enum
Defaults to RATE

Toggles the level of details for the calculation result. Explanation (Optional, Default=ALL)

Allowed:
string
enum
Defaults to ALL

This controls how the calculation details are grouped. Explanation (Optional, Defaults to the natural grouping for the rates)

Allowed:
boolean
Defaults to true

Use the default profile on the account.

string

Use an explicit Profile for this calculation.

double

Specify a constant scalar to be applied to all profiles used in this calculation. Can also be used in propertyInputs to modify a single profile when multiple are used.

string
Defaults to false

A true or false flag. If the dates of the calculation represent an actual billing cycle, then you should set this to true. This will give you precise values for items like fixed charges. When it’s not set, or set to false, these charges will be prorated across the number of days in the calculation.

boolean

This field enables enforcing minimum charges on this calculation.

boolean
Defaults to false

When true, the calculation attempts to apply a utility tax for the address associated with this account.

boolean

This field includes net metering totals in the summary section of the calculation.

excludeChargeClass
array of strings

Specifies a charge class to exclude from the calculation results. Available options are TRANSMISSION, DISTRIBUTION, SUPPLY, TAX, CONTRACTED, USER_ADJUSTED, AFTER_TAX, and OTHER.(Optional)

excludeChargeClass
date

This field enables doing a calculation with a single, specified version of a given tariff.For example, if the user specifies that they want to use the 2016-01-01 version of PG&E’s E-1 tariff, any calculation, whether it’s for 2013, 2015, or 2016, would use the rate data from that version and only that version of the tariff.

boolean

This field enables intelligent baselining feature, which allow you to move usage data to a different time period. (Optional, Default=false)

boolean

This field works in conjunction with autoBaseline (above) and determines how to interpolate and extrapolate usage data when that is set to true. Read intelligent baselining for details.

customTimeOfUseIntervals
array of objects

Define your own time-of-use interval to be used in the calculation.

customTimeOfUseIntervals
propertyInputs
array of objects

Array of PropertyData to use in the calculation.

propertyInputs
rateInputs
array of objects

The rate input values are used to override existing rates on the tariff during the calculation. This enables modeling and/or setting customer specific rates during a calculation. (Optional)

rateInputs
Responses

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json